#
# spec file for package libgda (Version 0.2.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile db-utils esound esound-devel freetype2 freetype2-devel gconf glib glib-devel gpp gtk gtk-devel indent libgpp libpng libxml libxml-devel mysql mysql-client mysql-devel mysql-shared oaf oaf-devel openssl openssl-devel orbit orbit-devel popt postgresql postgresql-devel postgresql-libs postgresql-odbc xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-utils devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex freetype2 freetype2-devel gawk gcc gconf gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip indent kbd less libgpp libpng libtool libxml libxml-devel libz m4 make man mktemp modutils mysql mysql-client mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg oaf oaf-devel openssl openssl-devel orbit orbit-devel pam pam-devel patch perl popt postgresql postgresql-devel postgresql-libs postgresql-odbc ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         libgda
%define prefix /usr
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:	      Applications/Databases
Autoreqprov:  on
Version:      0.2.10
Release:      92
Summary:      GNU Data Access (GDA) Library
BuildRoot:    /var/tmp/libgda-build-root
URL:	      http://www.gnome-db.org 
Source:	      %{name}-%{version}.tar.bz2
Patch:	      %{name}-%{version}.dif

%description
GNU Data Access (GDA) is an attempt to provide uniform access to
different kinds of data sources (databases, information servers, mail spools, etc).
It is a complete architecture that provides all you need to access
your data. It is defined by a set of CORBA interfaces as generic as possible
(but very powerful at the same time) so that any kind of data source
can be accessed through them.

Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql) 
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql) 
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries) 
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle) 
    Nick Gorham <nick@lurcher.org> (gda-odbc) 
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings) 
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb) 
    Akira TAGOH <at@ue-spacy.com> (gda-ldap) 
    Carlos Perell Marn <carlos@gnome-db.org> (report) 
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common) 
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds) 
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries) 
    

SuSE series: gnm

%prep
%setup
%patch
CFLAGS="$RPM_OPT_FLAGS" \
./configure --sysconfdir=%sysconfdir \
    --prefix=%{prefix} \
    --datadir=%{prefix}/share \
    --mandir=%{_mandir} \
    --with-mysql=/usr/lib \
    --with-postgres=/usr/lib \
    --with-odbc=/usr/lib 

%build
make 

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
#rm -rf $RPM_BUILD_ROOT
%package devel
Summary:      GNU Database Access development files
Group:        Applications/Databases 
Autoreqprov:  on

%description devel
Development Files for libgda

Authors:
--------
    Michael Lausch <michael@lausch.at> (founder of the project, libgda-client, gda-odbc, gda-mysql) 
    Rodrigo Moya <rodrigo@gnome-db.org> (libgda-common, libgda-client, libgda-server, report, gda-postgres, gda-mysql) 
    Vivien Malerba <malerba@gnome-db.org> (gda-postgres, libgda-common, queries) 
    Stephan Heinze <stephan.heinze@xcom.de> (gda-oracle) 
    Nick Gorham <nick@lurcher.org> (gda-odbc) 
    Chris Wiegand <cwiegand@urgentmail.com> (C++ bindings) 
    Alvaro del Castillo <acs@barrapunto.com> (gda-mdb) 
    Akira TAGOH <at@ue-spacy.com> (gda-ldap) 
    Carlos Perell Marn <carlos@gnome-db.org> (report) 
    Reinhard Muller <reinhard@gnue.org> (libgda-client, libgda-server, libgda-common) 
    Holger Thon <holger.thon@gnome-db.org> (gda-primebase, gda-sybase, gda-tds) 
    Gerhard Dieringer <gdieringer@compuserve.com> (report, queries) 
    

SuSE series: gnm


%files 
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/gda-default-srv
%{prefix}/bin/gda-test
%{prefix}/bin/gda-run
%{prefix}/lib/lib*.so.*
#%{prefix}/share/gnome/html/*
%{prefix}/share/gda
%{prefix}/share/oaf/GNOME_GDA_Provider_Default.oaf
#%{prefix}/bin/gda-odbc-srv
#%{prefix}/share/oaf/GNOME_GDA_Provider_ODBC.oaf
%{prefix}/bin/gda-postgres-srv
%{prefix}/share/oaf/GNOME_GDA_Provider_Postgres.oaf
#%{prefix}/share/bin/gda-mysql-srv
%{prefix}/share/oaf/GNOME_GDA_Provider_MySQL.oaf

%files devel
%defattr(-, root, root)
%{prefix}/bin/gda-build*
%{prefix}/bin/gda-config
%{prefix}/lib/lib*.*a
%{prefix}/lib/lib*.so
%{prefix}/include/*
%{prefix}/share/idl/*

%changelog -n libgda
* Mon Aug 13 2001 - schwab@suse.de
- Fix stupid casts.
- Fix missing declarations.
* Wed Aug 08 2001 - ro@suse.de
- updated neededforbuild
* Fri Jul 27 2001 - kukuk@suse.de
- Change postgresql-lib -> postgresql-libs
* Wed Jun 27 2001 - hhetter@suse.de
- Initial SuSE Release
- sub-packages have to created, I'll take care of
  this
